// FILENAME:	DM_Roof_Rats.cs
//
// AUTHORS:  	Bio-illogical & -={Green Demon}=-  Created: 5/26/2009
//------------------------------------------------------------------------------

$missionName = "DM_Roof_Rats";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
 $server::TeamPlay = false;
 $server::AllowDeathmatch = true;
 $server::AllowTeamPlay = true;	

// what can the client choose for a team
 $server::AllowTeamRed = true;
 $server::AllowTeamBlue = true;
 $server::AllowTeamYellow = false;
 $server::AllowTeamPurple = false;

// what can the server admin choose for available teams
 $server::disableTeamRed = false;
 $server::disableTeamBlue = false;
 $server::disableTeamYellow = true;
 $server::disableTeamPurple = true;
}

function onMissionStart()
{
 marsSounds();
}


function onMissionLoad()
{
 setGameInfo("<F2>GAME TYPE:<F0> DeathMatch or Team DeathMatch\n\n<F2>MISSION:<F0>  TDM_Mos_Eisley\n\nWelcome to Team DeathMatch Brew City. Scan the ball on your team's heal pad to set NO ENEMY Repairing/Reloading in your pads. Only your team will know if its set to kill till someone dies. Once set, its set for the remainder of the game."); 
}


//----------------------- Xporters ----------------------------

function ComSnipe1::structure::onAttacked(%this,%attacker)
{
 %player=playerManager::vehicleIdToPlayerNum(%attacker);
 if($last!=%attacker)
   {
    say(%player,1,"teleporter.wav");
    fadeevent(%player,in,0.5,1,1,1);
    schedule("$last=0;",2);
   }
 $last=%attacker;
 setPosition(%attacker,37,61,153);
}


function ComSnipe2::structure::onAttacked(%this,%attacker)
{
 %player=playerManager::vehicleIdToPlayerNum(%attacker);
 if($last!=%attacker)
   {
    say(%player,1,"teleporter.wav");
    fadeevent(%player,in,0.5,1,1,1);
    schedule("$last=0;",2);
   }
 $last=%attacker;
 setPosition(%attacker,37,238,153);
}


function ComSnipe3::structure::onAttacked(%this,%attacker)
{
 %player=playerManager::vehicleIdToPlayerNum(%attacker);
 if($last!=%attacker)
   {
    say(%player,1,"teleporter.wav");
    fadeevent(%player,in,0.5,1,1,1);
    schedule("$last=0;",2);
   }
 $last=%attacker;
 setPosition(%attacker,335,62,153);
}


function ComSnipe4::structure::onAttacked(%this,%attacker)
{
 %player=playerManager::vehicleIdToPlayerNum(%attacker);
 if($last!=%attacker)
   {
    say(%player,1,"teleporter.wav");
    fadeevent(%player,in,0.5,1,1,1);
    schedule("$last=0;",2);
   }
 $last=%attacker;
 setPosition(%attacker,335,238,153);
}

//---------------------------------------------------------


function onmissionend()
{
 deleteVariables($last);
 deleteFunctions("onMissionStart");
 deleteFunctions("onMissionLoad");
 deleteFunctions("ComSnipe1::structure::onAttacked");
 deleteFunctions("ComSnipe2::structure::onAttacked");
 deleteFunctions("ComSnipe3::structure::onAttacked");
 deleteFunctions("ComSnipe4::structure::onAttacked");

 missionEndConditionMet();   
}

function onMissionLoad()
{
 setGameInfo("<F2>GAME TYPE:<F0> DeathMatch or Team DeathMatch\n\n<F2>MISSION:<F0>  TDM_Roof_Rats\n\nWelcome to Team DeathMatch Roof Rats.  Created by |3io-i||ogical and -={Green Demon}=-. Take the ramps on the outside of the buildings to get across, the ramp on the inside is for getting back.  The map was desgined to not allow executioners and olympians across the ramps, to promote the use of lighter hercs.  Adjudicators, Gorgons, and everything below can get across.  Tanks cannot get up the ramps easily however, which is unintentional.  Hit the ramps at max speed!  Many thank you's to Snow and Taro, for getting me started, and to Green Demon for offering loads of help! "); 
}


